%global pypi_name joblib

Name:           python-%{pypi_name}
Version:        1.4.2
Release:        1
Summary:        Utilities to provide lightweight pipelining in Python
License:        BSD-3-clause
URL:            https://joblib.readthedocs.io/en/latest/
Source0:        https://github.com/joblib/joblib/archive/%{version}/%{pypi_name}-%{version}.tar.gz 
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
#test requires
BuildRequires:  python3-pytest
BuildRequires:  python3-threadpoolctl
BuildRequires:  procps-ng

%global _description \
Joblib is a set of tools to provide lightweight pipelining in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%{__python3} -m pytest -k "not test_parallel_call_cached_function_defined_in_jupyter"

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pypi_name}-*.dist-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Tue Jun 04 2024 liuzhilin <liuzhilin@kylinos.cn> - 1.4.2-1
- Update package to version 1.4.2
- TST add a test that ensures conservation of byte order during IPC.
- FIX raise iterator exception in user's thread.
- FIX _get_items_to_delete raising error when items list empty.
- Add pytest 8.x compatability.

* Wed Feb 21 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 1.3.2-1
- Update package to version 1.3.2

* Sun Jul 23 2023 wangkai <13474090681@163.com> - 1.3.1-1
- Update to 1.3.1 for fix python3.11 build error
- Use pyproject to compile package

* Fri Apr 7 2023 caodongxia <caodongxia@h-partners.com> - 1.1.1-1
- Upgrade to 1.1.1

* Mon Feb 06 2023 Ge Wang <wangge20@h-partners.com> - 1.1.0-2
- Maint more informative assertion errors when warnings happen

* Thu Jun 09 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.1.0-1
- Upgrade to version 1.1.0

* Mon Feb 1 2021 wangjie<wangjie294@huawei.com> - 1.0.0-1
- upgrade version to 1.0.0

* Thu Oct 29 2020 tianwei<tianwei12@huawei.com> - 0.14.0-4
- delete python2 require

* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 0.14.0-3
- Init package
